<?
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Program Name         : EzUpload Pro                                     //
//   Program Version      : 2.10                                             //
//   Supplied by          : CyKuH [WTN]                                      //
//   Nullified by         : CyKuH [WTN]                                      //
//   Distribution         : via WebForum, ForumRU and associated file dumps  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
  include( "initialize.php");
  
  include( "lang/" . $CONF->getval("language_pack") );
?>

  function isemail( string )
  {
    var pattern = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
    return pattern.test( string );
  }
  
  function one_checked( form, fname )
  {
    var el, grp, e=0;
	
    while( el = form.elements[e++] )
    {
	  if( el.type=='checkbox' && el.name && el.name==fname )
	  {
	    grp = form[el.name];

	    for( var i=0; i<grp.length; ++i ) if( grp[i].checked ) break;

        if (i == grp.length) return false;
		
		e += grp.length - 1;
	  }
	}

	return true;
  }
  
  function getextension( filename )
  {
    filename = filename.toLowerCase();
	var farray = filename.split( "." );
	
	if( farray.length==1 ) return false; 
	
	return farray[ farray.length-1 ];
  }
  
  function checkextension( extension )
  {
    if( !extension ) return false;
  
    <?
	  if( $CONF->getval("extmode")!="all" ):

	    $extarray = explode( " ", trim($CONF->getval("extensions")) );
	    $extstring = "\"" . implode( "\", \"", $extarray ) . "\"";
	?>
  
    var extlist = new Array( <?=$extstring?> );
  
	for( var i=0; i<extlist.length; i++ )
	{
	  <? if( $CONF->getval("extmode")=="except" ): ?>
	  if( extlist[i]==extension ) return false;
	  <? elseif( $CONF->getval("extmode")=="only" ): ?>
	  if( extlist[i]!=extension ) return false;
	  <? endif; ?>
	}
	
	<? endif; ?>
	
	return true;
  }

  function checkfields( form )
  {
    var missingfields = "";
<? 
  if( $CONF->getval("js_detection") ):

    $FIELD->sortdata( "order", "asc" );

    $fields = $FIELD->get();
 
    foreach( $fields AS $field ):
  
      if( $CONF->getval("emailfield")==$field['id'] ): 
?>

	if( form.f<?=$field['id']?>.value!="" )
	{	
	  if( !isemail(form.f<?=$field['id']?>.value) )
	  {
	    missingfields += "\n- <?=$field['name']?> (<?=$_LANG['invalid_address']?>)";
	  }
    }
<?
	    if( $field['required'] ):
?>
	else
	{
	  missingfields += "\n- <?=$field['name']?> (<?=$_LANG['missing_field']?>)";
	}
	
<?
        endif;
		
      elseif( $field['type']=="checkbox" && $field['required'] ):
?>

	if( !one_checked(form, 'f<?=$field['id']?>[]') )
	{
	  missingfields += "\n- <?=$field['name']?> (<?=$_LANG['no_option_checked']?>)";
	}

<?
	  elseif( $field['type']=="file" ):
?>

	if( form.f<?=$field['id']?>.value != "" )
	{
	  extension = getextension( form.f<?=$field['id']?>.value );

	  if( !checkextension( extension ) )
	  {
	    missingfields += "\n- <?=$field['name']?> (<?=$_LANG['invalid_extension']?>)";
	  }
	}
<?
		if( $field['required'] ):
?>
	else
	{
	  missingfields += "\n- <?=$field['name']?> (<?=$_LANG['missing_field']?>)";
	}
	
<?
		endif;

	  elseif( isset($field['minchars']) && $field['minchars']!="" && $field['minchars']!=0 ):
?>

	if( form.f<?=$field['id']?>.value!="" )
	{
	  if( form.f<?=$field['id']?>.value.length < <?=$field['minchars']?> )
	  {
	    missingfields += "\n- <?=$field['name']?> (<?=$_LANG['min_chars']?>: <?=$field['minchars']?>)";
	  }
<?
		if( $field['type']=="textarea" && $field['maxchars']!="" ):
?>
	  else if( form.f<?=$field['id']?>.value.length > <?=$field['maxchars']?> )
	  {
	    missingfields += "\n- <?=$field['name']?> (<?=$_LANG['max_chars']?>: <?=$field['maxchars']?>)";
	  }
<?
		endif;
?>
	}
<?
		if( $field['required'] ):
?>
	else
    {
	  missingfields += "\n- <?=$field['name']?> (<?=$_LANG['missing_field']?>)";
	}
	
<?
        endif;
		
      elseif( $field['required'] ):
?>

    if( form.f<?=$field['id']?>.value=="" )
	{
	  missingfields += "\n- <?=$field['name']?> (<?=$_LANG['missing_field']?>)";
	}

<?
	  endif;
	  
    endforeach; 

  endif;
?>

    if( missingfields != "" )
    {
      alert( "<?=$_LANG['js_error']?>:\n" + missingfields );
	  return false;
    }
    else
	{
	  var accepted = true;
	
	  <? 
	    if( $CONF->getval("display_warning") ):
	  
	      //$warning_message = $_LANG['large_files_warning'];
	      $warning_message = wordwrapnew( $_LANG['large_files_warning'], 40, "", '\n' );
	  ?>
	  
	    accepted = confirm( "<?=$warning_message?>" );
	  
	  <? endif; ?>
	  
	  if( accepted == true )
	  {
	    form.submit.disabled = true;
      }
	  
	  return accepted;
	}
  }