<?
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Program Name         : EzUpload Pro                                     //
//   Program Version      : 2.10                                             //
//   Supplied by          : CyKuH [WTN]                                      //
//   Nullified by         : CyKuH [WTN]                                      //
//   Distribution         : via WebForum, ForumRU and associated file dumps  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
  include( "initialize.php" );
  
  checklogged();

  if( $demomode ) confirm( "No upload, file or field can be deleted on the demo mode" );
  
  
  ////////////////////////////////////////
  // THE USER WANTS TO DELETE A FILE
  ////////////////////////////////////////
  
  if( $_GET['type']=="file" )
  {
    if( !$FILE->exists($_GET['id']) ) confirm( "No file found with this ID" );
  
    $isdeleted = true;
  
    $fileid = $_GET['id'];
    $uploadid = $FILE->getval( "upload", $fileid );
	$filename = $filesdir . $UPLOAD->getval( "subdir", $uploadid ) . $FILE->getval( "name", $fileid );
	
	$FILE->deleterow( $fileid );
	$FILE->savedata();
	
	if( @file_exists($filename) )
	{
	  if( !@unlink( $filename ) ) $isdeleted = false;
	}
	
	// now the file is deleted, see if we need to delete an empty directory
	cleardirs();
	clearinfos();
	
	// do the upload information still exist?
	if( $UPLOAD->exists( $uploadid ) )
	{
	  if( $isdeleted )
	    confirm( "File successfully deleted", "viewfiles.php?id=$uploadid" );
	  else
	    confirm( "The file could not be removed from the server (Permission denied)<br>You'll have to do this through FTP.", "viewfiles.php?id=$uploadid" );
	}
	else
	{
	  if( $isdeleted )
	    confirm( "File and information successfully deleted", "browser.php" );
      else
	    confirm( "The file could not be removed from the server (Permission denied)<br>You'll have to do this through FTP.", "browser.php" );
	}
  }	
  
  
  ////////////////////////////////////////
  // THE USER WANTS TO DELETE AN UPLOAD
  ////////////////////////////////////////
  
  elseif( $_GET['type']=="upload" )
  {
    if( !$UPLOAD->exists($_GET['id']) ) confirm( "No upload found with this ID" );
  
    $numerrors = 0;
    $uploadid = $_GET['id'];
	$dirname = $filesdir . $UPLOAD->getval( "subdir", $uploadid );
	
	
	////////////////////////////////////////////
	// DELETE ALL THE FILES ONE BY ONE
	////////////////////////////////////////////
	
	$files = $FILE->queryrows( $uploadid, "upload" );
	
	foreach( $files AS $file )
	{
	  $filename = $dirname . $file['name'];
	
	  if( @file_exists($filename) )
	  {
		if( !@unlink($filename) ) $numerrors++;
	  }
	  
	  $FILE->deleterow( $file['id'] );
	}
	
	
	////////////////////////////////////////////
	// CLEAR EMPTY DIR AND SAVE DATA
	////////////////////////////////////////////

	cleardirs();
	
	$UPLOAD->deleterow( $uploadid );
	
	$UPLOAD->savedata();
	$FILE->savedata();
	
	if( $numerrors > 0 )
	{
	  confirm( "One or more files could not be removed from the server<br>(Permission denied) You'll have to do this through FTP.", "browser.php" );
	}
	else
	{
	  confirm( "Upload information and files successfully removed", "browser.php" );
	}
  }	
  
  
  ////////////////////////////////////////
  // THE USER WANTS TO DELETE A FIELD
  ////////////////////////////////////////
  
  elseif( $_GET['type']=="field" )
  {
	// set email field to none if we deleted the selected field
	if( $CONF->getval("emailfield")==$_GET['id'] )
	{
	  $CONF->setval( -1, "emailfield" );
	}
	  
	// set name field to none if we deleted the selected field
	if( $CONF->getval("namefield")==$_GET['id'] )
	{
	  $CONF->setval( -1, "namefield" );
	}
	  
	// change subdir if we deleted the selected field
	if( $CONF->getval("subdir_field")==$_GET['id'] )
	{
	  $CONF->setval( "subdir_field", $_GET['id'] );
	}
	  
	$fieldtype = $FIELD->getval( "type", $_GET['id'] ); 
	  
	// if dropbox or checkbox, delete all options
	if( $fieldtype=="dropbox" || $fieldtype=="checkbox" )
	{
	  $OPTION->deleterows( $_GET['id'], "field" );
	}
	
    $FIELD->deleterow( $_GET['id'] );
	
    $FIELD->savedata();
	$CONF->savedata();
	$OPTION->savedata();
	
	confirm( "Field successfully deleted", "fields.php" );
  }
  
?>